interface HooksConfig {
    debug?: boolean;
    [key: string]: any;
}
declare const hooksName: {
    /**提交之前 */
    beforeSubmitHandler: string;
    /** 启用/禁用之前 */
    beforedisabledHandler: string;
    /** 启用/禁用之后 */
    afterdisabledHandler: string;
    /** 新增之前 */
    beforeAddHandler: string;
    /** 编辑之前 */
    beforeEditHandler: string;
    /** 查询之前 */
    beforeQueryHandler: string;
    /** 查询之后 */
    afterQueryHandler: string;
    /** 删除之前 */
    beforeDeteleHandler: string;
    /** 删除之后 */
    afterDeteleHandler: string;
    beforeTableLazyHandler: string;
};
/**
 * 注册钩子
 * @param hooks 组件注册的钩子对象
 * @returns 返回钩子处理函数及钩子名称
 */
declare function useHooks(hooks?: HooksConfig): {
    hookHandler: (hookName: string, data: Object) => boolean;
};
export { hooksName, useHooks };
export type { HooksConfig };
