import QS from 'qs'
import request from './request'
import { Method, AxiosRequestHeaders } from 'axios'

/** CRUD 使用的接口（也可做公共接口） */
export const $CrudRequest = ({ url, name, method, headers = {}, data }: { url: string; name: string; method?: Method; headers?: AxiosRequestHeaders; data?: any }) => {
    return request({
        url: `${url}/${name}`,
        method,
        headers,
        data
    })
}
/** GET请求 */
export const GET = ({ url, name, params }: { url: string; name: string; params: any }) => {
    return request({
        url: `${url}/${name}`,
        method: 'get',
        params: QS.stringify(params)
    })
}
/** POST 请求 */
export const POST = ({ url, name, data }: { url: string; name: string; data: any }) => {
    return request({
        url: `${url}/${name}`,
        method: 'POST',
        data
    })
}
