import axios, { AxiosInstance } from 'axios'
import Cookies from 'js-cookie'

// https://shanghai.nengliba.com/jll

//创建一个 axios 实例
const service: AxiosInstance = axios.create({
    baseURL: '/api', //所有的请求地址前缀部分
    // withCredentials: false, //跨域请求时发送cookies
    method: 'POST',
    timeout: 60000 //请求超时
})

//请求拦截器
service.interceptors.request.use(
    (config) => {
        /**
         * 做自己的请求拦截配置
         */
        config.headers!['Authorization'] = Cookies.get('token') as string
        return config
    },
    (error) => {
        console.error('请求错误：', error)
        return Promise.reject(error)
    }
)

// 响应拦截器
service.interceptors.response.use(
    (response) => {
        const res = response.data
        /**
         * 做自己的响应拦截配置
         */

        return res
    },
    (error) => {
        console.log('响应错误:', error)
        return Promise.reject(error)
    }
)

export default service
