/**
 * 比较两个 Obj 的值是否修改
 * @param obj1 原obj
 * @param obj2 新obj
 * @returns 修改过的obj
 */
export function isObjEqual(obj1: Prop, obj2: Prop) {
    let res: Prop = {}

    let aProps = Object.getOwnPropertyNames(obj1)
    let bProps = Object.getOwnPropertyNames(obj2)

    if (aProps.length === bProps.length) {
        //循环拿到数值进行对比
        aProps.forEach((e) => {
            if (obj1[e] !== obj2[e]) res[e] = obj2[e]
        })
    }

    return res
}
